import { BaseSecretsChart } from './base';
import { ApiObject, GroupVersionKind } from 'cdk8s';
export declare class SecretsChart extends BaseSecretsChart {
    template(): any;
    instanceApiObject(template: any): ApiObject;
    gvk(): GroupVersionKind;
    extraCharts(): {
        claim: {
            kind: string;
            name: string;
        };
        chart: ApiObject;
    }[];
    externalSecretCharts(): ApiObject[];
    pushSecretCharts(): ApiObject[];
}
